QGIS Application - Bug report #9301
Impossible to open *.xlIs file from folder containing cyrillic
2014-01-06 10:46 AM - dr -

Status: Closed

Priority: Normal

Assignee:

Category: Data Provider/OGR

Affected QGIS version:master Regression?: No

Operating System: Windows Easy fix?: No

Pull Request or Patch supplied: Resolution: up/downstream
Crashes QGIS or corrupls data: Copied to github as #: 17909
Description

It is possible to open MS Excel (*.xls) file as vector layer in QGIS. But if create folder with name containing cyrillic symbol, e.g. "kyky" and
put *.xIs file into and try to open it - QGIS throws an error.

History

#1 - 2016-10-07 03:56 AM - Even Rouault

The issue is in the Freex! library that uses ANSI file API, and not unicode ones.

#2 - 2017-05-01 01:08 AM - Giovanni Manghi

- Easy fix? set to No

- Regression? set to No

#3 - 2017-11-13 04:58 PM - Even Rouault

- Resolution set to up/downstream
- Status changed from Open to Closed

Workarounded in GDAL trunk https:/trac.osgeo.org/gdal/changeset/40700 and GDAL 2.2 branch https://trac.osgeo.org/gdal/changeset/40701
